MD5SUM(1)

NAME
md5sum - generiert oder überprüft MD5-Prüfsummen

ÜBERSICHT
md5sum [-bv] [-c [datei]] | [datei...]

BESCHREIBUNG
md5sum generiert oder überprüft MD5-Prüfsummen. Der Algorithmus zur Generierung der Prüfsummen ist ausreichend schnell und sicher genug für die meisten Fälle. Die genaue Spezifikation der Algorithmus findet sich in RFC 1321.

Normalerweise generiert md5sum Prüfsummen aller als Parameter übergebenen Dateien und gibt die Prüfsummen gefolgt von den entsprechenden Dateinamen aus. Wenn allerdings -c angegeben wird, ist nur ein Dateiname erlaubt. Diese Datei sollte Prüfsummen und zu ihnen gehörende Dateinamen enthalten; die aufgeführten Dateien werden dann mit den angegebenen Prüfsummen gegengeprüft. Siehe Option -c für mehr Information.

OPTIONEN

-b  Binärmodus benutzen. In einer UNIX-Umgebung ist der einzige Unterschied zwischen diesem und dem Normalmodus ein Sternchen, das dem Dateinamen in der Ausgabe vorangeht.

-c  Die Prüfsummen aller Dateien, die in datei aufgeführt sind, nachprüfen. Das Format dieser Datei ist das gleiche wie die Ausgabe von md5sum. Es beschreibt also jede Zeile eine Datei. Eine Zeile sieht so aus:

    <MD5-Prüfsumme> <Dateiname>

    Wenn also beispielsweise eine Datei erstellt und ihre Prüfsumme berechnet wird, etwa so:

    echo foo > md5-test-file; md5sum md5-test-file

    dann würde md5sum Folgendes melden:

    d3b07384d113edec49eaa6238ad5ff00 md5-test-file

-v  Wortreicher sein. Gibt Dateinamen während der Überprüfung (mit -c) aus.

BUGS
Der verwandte MD4-Prüfsummen-Algorithmus wurde im Oktober 1995 geknackt. MD5 sieht nicht mehr so sicher aus wie früher.

md5sum akzeptiert keine Standardoptionen wie --help.

AUTOR

md5sum wurde ursprünglich von Branko Lankester geschrieben und hiernach von Colin Plumb und Ian Jackson (ijackson@gnu.ai.mit.edu) geändert. Die Man-Seite wurde von Juho Vuori (javuori@cc.helsinki.fi) hinzugefügt.